View Issue Details

IDProjectCategoryView StatusLast Update
0001487SOGoSOPEpublic2012-09-24 20:48
Reporterfrancis Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.3.9 
Target Version2.0.0Fixed in Version2.0.0 
Summary0001487: No support for vTimeZone with multiple standard/daylight definitions
Description

A vTimeZone can have multiple DAYLIGHT or STANDARD definition, each having an UNTIL date (and one without end date). We only look at the first definition instead of considering the end dates.

Steps To Reproduce

Example of a problematic vTimeZone:

BEGIN:VTIMEZONE
TZID:America/New_York
X-TZINFO:America/New_York[2007g/Partial@883612800000]
BEGIN:DAYLIGHT
TZOFFSETTO:-0400
TZOFFSETFROM:-0500
TZNAME:America/New_York(DST)
DTSTART:19980405T020000
RRULE:FREQ=YEARLY;UNTIL=20060403T070000Z;BYMONTH=4;BYDAY=1SU
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETTO:-0500
TZOFFSETFROM:-0400
TZNAME:America/New_York(STD)
DTSTART:19981025T020000
RRULE:FREQ=YEARLY;UNTIL=20061030T070000Z;BYMONTH=10;BYDAY=-1SU
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETTO:-0400
TZOFFSETFROM:-0500
TZNAME:America/New_York(DST)
DTSTART:20070311T020000
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=2SU
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETTO:-0500
TZOFFSETFROM:-0400
TZNAME:America/New_York(STD)
DTSTART:20071104T020000
RRULE:FREQ=YEARLY;BYMONTH=11;BYDAY=1SU
END:STANDARD
END:VTIMEZONE

Additional Information

See [iCalTimeZone _occurrenceForPeriodNamed:forDate:]

TagsNo tags attached.

Activities

ryacketta

ryacketta

2012-03-22 15:25

reporter   ~0003623

Francis / Ludovic / All,

Any update on this other then the Target version changes?

Regards,

Ron

ludovic

ludovic

2012-03-22 16:18

administrator   ~0003624

Hello Ron,

We are focusing on getting v1.3.14 out - which should happen tomorrow. It will not include a fix for this issue.

If you are interested in expediting the fix for this bug, you could considering either sponsoring the development of getting a proper support contract - options are available from http://www.inverse.ca/english/support.html

Thanks,

francis

francis

2012-09-24 20:48

administrator   ~0004538

Fixed.

See https://github.com/inverse-inc/sogo/commit/90fe3edce234b79e17136cae7f978658780fb065

Issue History

Date Modified Username Field Change
2011-11-04 11:08 francis New Issue
2011-11-04 11:10 francis Target Version => 1.3.10
2011-11-18 13:33 ludovic Target Version 1.3.10 => 1.3.11
2011-12-12 12:35 francis Target Version 1.3.11 => 1.3.12
2012-02-08 14:37 ludovic Target Version 1.3.12 => 1.3.13
2012-03-16 11:32 francis Target Version 1.3.13 => 1.3.14
2012-03-22 15:25 ryacketta Note Added: 0003623
2012-03-22 16:18 ludovic Note Added: 0003624
2012-03-23 08:32 francis Target Version 1.3.14 => 1.3.15
2012-05-09 11:40 ludovic Target Version 1.3.15 => 1.3.16
2012-05-29 15:59 ludovic Target Version 1.3.16 => 1.3.17
2012-07-16 08:44 ludovic Target Version 1.3.17 => 1.3.18
2012-08-27 11:57 francis Target Version 1.3.18 => 2.0.0
2012-09-24 20:48 francis Note Added: 0004538
2012-09-24 20:48 francis Status new => resolved
2012-09-24 20:48 francis Fixed in Version => 2.0.0
2012-09-24 20:48 francis Resolution open => fixed
2012-09-24 20:48 francis Assigned To => francis